---
# NOTE: default security group rules for codfw1dev projects
# the rules here are mostly what were previously injected via our custom keystone hooks
# in the 'default' secgroup.
# we are using this instead because we cannot really manage the 'default' secgroup via tofu-infra

# NOTE: if a the default sg roules of a project was previously not under tofu management, it is
# expected that you will need to remove by hand all the rules so tofu can recreate them.
# This is because we are not importing the rules; it is too painful to codify
default:
  description: "default security group"
  name: default
  rules:
    - description: allow all outbound IPv4 traffic
      direction: egress
      ethertype: IPv4

    - description: allow ICMP from anywhere
      direction: ingress
      ethertype: IPv4
      protocol: icmp
      remote_ip_prefix: 0.0.0.0/0

    - description: allow ssh from other VMs in Cloud VPS - vlan subnet
      direction: ingress
      ethertype: IPv4
      port_range_max: 22
      port_range_min: 22
      protocol: tcp
      remote_ip_prefix: 172.16.128.0/24

    - description: allow ssh from other VMs in Cloud VPS - vxlan subnet
      direction: ingress
      ethertype: IPv4
      port_range_max: 22
      port_range_min: 22
      protocol: tcp
      remote_ip_prefix: 172.16.129.0/24

    - description: allow UDP from VMs in the same project
      direction: ingress
      ethertype: IPv4
      protocol: udp
      remote_group_name: default

    - description: allow TCP from VMs in the same project
      direction: ingress
      ethertype: IPv4
      protocol: tcp
      remote_group_name: default

    - description: allow all outbound IPv6 traffic
      direction: egress
      ethertype: IPv6

    - description: allow ICMP v6 from everywhere
      direction: ingress
      ethertype: IPv6
      protocol: ipv6-icmp

    - description: allow inbound IPv6 traffic from within the project
      direction: ingress
      ethertype: IPv6
      remote_group_name: default
